from setuptools import find_packages, setup

package_name = 'osc_ros2'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
    ],
    install_requires=[
        'setuptools',
        'osc4py3',
        'roboticstoolbox-python==1.1.1',
        'numpy==1.22.4',
        'scipy==1.7.3',
        'spatialmath-python==1.1.14',
        'matplotlib==3.4.3',],
    zip_safe=True,
    maintainer='Alexander Schaefer',
    maintainer_email='a.schaefer@tuhh.de',
    description='Creates an interface for communication between OSC and Ros2',
    license='Apache-2.0',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'interface = osc_ros2.osc_ros2:main',
        ],
    },
)
